Page MenuHomePhabricator

Decide which Wikimedia wiki gets Newsletter extension first, and seek support
Closed, ResolvedPublic

Description

https://www.mediawiki.org/wiki/Writing_an_extension_for_deployment says "Communicate your ideas/plans to affected wikis to garner both support and suggestions/feedback". In our conversations we have mentioned Meta as a good candidate for a first wiki. An alternative could be mediawiki.org, where technical novelties land first frequently. Opinions?

Note that enabling Newsletter in multiple wikis depends on our plan for T110645: Interwiki support for Newsletter extension

Request in mediawiki.org: https://www.mediawiki.org/wiki/Topic:T2dqjshzbmpgnrbp

Event Timeline

Qgil created this task.Oct 22 2015, 11:12 AM
Qgil claimed this task.
Qgil raised the priority of this task from to Medium.
Qgil updated the task description. (Show Details)
Qgil added subscribers: Elitre, Bawolff, MZMcBride and 7 others.
Qgil lowered the priority of this task from Medium to Low.Oct 29 2015, 11:44 AM

Discussed in our weekly meeting:

<qgil> Meta or mediawiki.org?
<tonythomas> great. I too will pitch in in breaking down
<qgil> (thanks!)
<tinajohnson> the wiki which has the most number of newsletters ?
<Glaisher> I think for production cluster we will start with testwikis
<Glaisher> and then, move onto mediawiki.org
<tonythomas> qgil: :) but, usually we went from like a test to core
<Glaisher> after that other wikis
<tonythomas> true
<tinajohnson> good idea
<Glaisher> That's how extensions are usually deployed
<qgil> "https://www.mediawiki.org/wiki/Writing_an_extension_for_deployment says "Communicate your ideas/plans to affected wikis to garner both support and suggestions/feedback"."
<qgil> there is no community to ask in test
<tonythomas> there was one wiki page
<Glaisher> qgil: yeah, people can see how the extension does once we get it deployed to the testwikis
<qgil> mmmok
<Glaisher> After that, they will have an idea about it so we can get feedback
<Glaisher> and interest to get it deployed elsewhere
<qgil> Labs instance is not enough?
<tonythomas> https://wikitech.wikimedia.org/wiki/Deployments/One_week
<Glaisher> Many people don't know that beta exists
<tonythomas> we went like that for BounceHandler ( its a different story )
<Glaisher> (and I don't think they will sign up at the labs instance just for it)
<tonythomas> from beta, we moved to group0 in prodcution
<qgil> ok then, lowering priority

Qgil removed Qgil as the assignee of this task.Nov 10 2015, 4:26 PM
Qgil removed a project: DevRel-November-2015.
Qgil set Security to None.

Outreach wiki also has two important newsletter, the education newsletter and GLAM newsletter. I think it should be one of the first wikis to get the extension. :)

Qgil added a comment.EditedFeb 18 2016, 12:16 PM

I think we should start with mediawiki.org. It's a natural wiki for technical novelties, and we have a user case related with the WMF product development process that we could start testing.

Also very important, mediawiki.org is getting interwiki notifications, a feature that will affect how this extension is used cross-wiki.

I +1 on mediawiki.org for the initial test. Unfortunately, Tech News is on Meta :/
But it should be extended to active wikis after a short term, to see if people who are not aware of all newsletters we publish get more involved.

Qgil added a comment.Feb 25 2016, 10:44 PM

@Tinaj1234 @01tonythomas @Glaisher any objection to mediawiki.org as first wiki? Let's decide by Thursday, March 3 latest.

I want to +1 @Selsharbaty-WMF 's comment above about outreach -- probably want it to be one of the next locaitons because of the two important newsletters. Also letting @Romaine @TFlanagan-WMF know about this for the GLAM-Wiki end.

Qgil added a comment.Mar 30 2016, 9:59 AM

T110645: Interwiki support for Newsletter extension needs a bit more though before we enable this extension in several wikis. Sure, newsletters in these wikis would be able to move to the new model, but users would not have a single list with all the newsletters available yet.

Giving users an easy way to discover newsletters is an important aspect of this project.

Qgil raised the priority of this task from Low to Medium.May 5 2016, 8:34 AM

No blockers in mediawiki.org. I'm keeping this task as is until we have completed the blockers of T115095: Security review of Newsletter extension

Qgil closed this task as Resolved.Jun 1 2016, 2:28 PM

I think this task has served its purpose. mediawiki.org it is.

Request in mediawiki.org: https://www.mediawiki.org/wiki/Topic:T2dqjshzbmpgnrbp